import type { Metadata } from 'next'
import { Inter } from 'next/font/google'
import '@/StylesRoot/globals.scss';
import { Filters } from '@/ContainersRoot';

import common from '@/StylesRoot/common.module.scss';

const inter = Inter({ subsets: ['latin'] })

export const metadata: Metadata = {
  title: 'Create Next App',
  description: 'Generated by create next app',
}

export default function RootLayout({
  children,
}: {
  children: React.ReactNode
}) {
  return (
    <html lang="en">
      <body className={inter.className}>
        <main>
          <div className={common.container}>
            <aside className={common.filtersBar}>
              <Filters />
            </aside>
            {children}
          </div>
        </main>
      </body>
    </html>
  )
}
